Subject: Re: [bug#32579] [PATCH] gnu: Add guile-mingw 2.2.3.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 03 Sep 2018 23:43:10 +0200

Ludovic Courtès writes:

Hi!

>> I created a mingw32 cross build for guile-2.0 some time ago, expecting
>> to need it real soon for "work" or for LilyPond.  Neither need
>> materialized until now; but it very soon.
>>
>> Luckily, I found that Mike Gran did quite some work this spring on their
>> wip-mingw-guile-2.2 branch; so I packaged the latest snapshot.
>
> Does that mean that Guile 2.2.5 will cross-build fine with
> --target=i686-w64-mingw32?  (I thought this was already the case
> actually.)

Well, if wip-mingw-guile-2.2 is merged; yes.  I'm not sure why that
hasn't happened yet, so there may be issues?

> Ideally Guile fixes that are needed would go to ‘stable-2.2’, and then
> Guix would simply package the corrected version.

Sure!

Greetings
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com